Package org.apache.torque.criteria

# Enum Class JoinType

java.lang.Object
java.lang.Enum<JoinType>
org.apache.torque.criteria.JoinType

All Implemented Interfaces:
  `Serializable`, `Comparable<JoinType>`, `Constable`

public enum JoinType extends Enum<JoinType>
The possible explicit join types.

Version:
  $Id: JoinType.java 1917245 2024-04-21 14:06:23Z tv $

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INNER_JOIN`
  SQL Expression " INNER JOIN ".
  `LEFT_JOIN`
  SQL Expression " LEFT JOIN ".
  `RIGHT_JOIN`
  SQL Expression " RIGHT JOIN ".

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  Returns the SQL expression for the join type.
  `static JoinType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static JoinType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LEFT_JOIN

    public static final JoinType LEFT_JOIN
    SQL Expression " LEFT JOIN ".

  - ### RIGHT_JOIN

    public static final JoinType RIGHT_JOIN
    SQL Expression " RIGHT JOIN ".

  - ### INNER_JOIN

    public static final JoinType INNER_JOIN
    SQL Expression " INNER JOIN ".

- ## Method Details

  - ### values

    public static JoinType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static JoinType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Returns the SQL expression for the join type.
    Overrides:
      `toString` in class `Enum<JoinType>`
    Returns:
      the SQL expression, not null.